Package: groovy.lang

## [Java] Interface GeneratedGroovyProxy

-     public interface GeneratedGroovyProxy

  An interface implemented by some Groovy proxies which gives access to the proxied object. In particular, dynamically generated proxies that implement traits will implement this interface in order to give access to the proxied instance.

  Since:
    2.3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getProxyTarget()` Returns: the proxy target.

- - ### Method Detail

    - #### public Object getProxyTarget()

      Returns:
        the proxy target.